@inproceedings{laso2018knl,
	title={{Producto matricial en el Intel Xeon Phi KNL en el modo Sub-NUMA Clustering~4}},
	author={Laso, Ruben and F. Rivera, Francisco and Cabaleiro, Jose C.},
	booktitle={{Avances en arquitectura y tecnología de computadores. Actas de las Jornadas SARTECO 2018}},
	pages={128--136},	
	year={2018},
	publisher={{Universidad de Zaragoza}},
	isbn = {978-84-09-04334-7},
	editor = {Mart\'{i}nez, Francisco J. and Sang\"{u}esa, Julio A. and Garrido, Piedad and Gonz\'{a}lez-Escribano, Arturo and R. Llanos, Diego and Cuenca Asensi, Sergio and Gonz\'{a}lez Pe\~{n}alver, Jes\'{u}s },
}

@mastersthesis{laso2017tfg,
	title={{Estudio del Intel Xeon Phi \textit{Knights Landing} en diferentes configuraciones de memoria y clustering}},
	author={Ruben Laso Rodríguez},
	school={{Universidade de Santiago de Compostela}},
	type={{TFG del Grado en Ingeniería Informática}},
	day={4},
	month={7},
	year={2017},
	note={Dirigido por: Jose C. Cabaleiro y Francisco F. Rivera},
	url={https://gitlab.com/ruben.laso/TFG}
}

@online{laso2018tfmrepo,
	author = {Laso, Ruben},
	title = {Trabajo Fin de Máster en Matemática Industrial},
	year = {2018},
	% publisher = {GitLab},
	% journal = {GitLab repository},
	% howpublished = {\url{https://gitlab.com/ruben.laso/TFM}},
	% commit = {...}
	organization = {GitLab repository},
	url = {https://gitlab.com/ruben.laso/TFM},
}


@book{gonzalez2008digital,
	address = {Upper Saddle River, N.J.},
	author = {Gonzalez, Rafael C. and Woods, Richard E.},
	interhash = {74494247f343d0cedb198c4b4f0c31eb},
	intrahash = {bd73f6e1350f31aa5da16268e2b1e694},
	isbn = {9780131687288 013168728X 9780135052679 013505267X},
	publisher = {Prentice Hall},
	refid = {137312858},
	title = {Digital Image Processing},
	year = 2008,
}


@article{tang2001color,
	author={B. Tang and G. Sapiro and V. Caselles}, 
	journal={{IEEE Transactions on Image Processing}}, 
	title={Color image enhancement via chromaticity diffusion}, 
	year={2001}, 
	volume={10}, 
	number={5}, 
	pages={701-707}, 
	keywords={partial differential equations;image enhancement;image colour analysis;median filters;color image enhancement;chromaticity diffusion;color image denoising;brightness;partial differential equations;diffusion flows;color pixel;n-dimensional vector;coupled diffusion equations;vectorial data;scalar median filter;Color;Liquid crystals;Anisotropic magnetoresistance;Smoothing methods;Noise reduction;Brightness;Partial differential equations;Power harmonic filters;Image processing;Engineering profession}, 
	doi={10.1109/83.918563}, 
	ISSN={1057-7149}, 
	month={May},
}

@article{rudin1992nonlinear,
	title = "Nonlinear total variation based noise removal algorithms",
	journal = "Physica D: Nonlinear Phenomena",
	volume = "60",
	number = "1",
	pages = "259 - 268",
	year = "1992",
	issn = "0167-2789",
	doi = "10.1016/0167-2789(92)90242-F",
	url = "http://www.sciencedirect.com/science/article/pii/016727899290242F",
	author = "Leonid I. Rudin and Stanley Osher and Emad Fatemi",
}

@mastersthesis{nuno2018tfg,
    title={Estudio e implementación de un algoritmo para reducir el ruido en imágenes bidimensionales},
    author={Nuno Ferreira Doval},
    school={Universidade de Santiago de Compostela},
    type={TFG del Grado de Matemáticas},
    note={Dirigido por: J. Antonio Álvarez Dios y M. Carmen Muñiz Castiñeira},
    month={6},
    year={2018}
}

@article{zhu2012image,
	author = {Zhu, W. and Chan, T.},
	title = {Image Denoising Using Mean Curvature of Image Surface},
	journal = {SIAM Journal on Imaging Sciences},
	volume = {5},
	number = {1},
	pages = {1-32},
	year = {2012},
	doi = {10.1137/110822268},
	URL = { https://doi.org/10.1137/110822268 },
	eprint = { https://doi.org/10.1137/110822268 }
}

@article{ye1996gaussian,
	title = "The Gaussian and mean curvature criteria for curvature continuity between surfaces",
	journal = "Computer Aided Geometric Design",
	volume = "13",
	number = "6",
	pages = "549 - 567",
	year = "1996",
	issn = "0167-8396",
	doi = "10.1016/0167-8396(95)00044-5",
	url = "http://www.sciencedirect.com/science/article/pii/0167839695000445",
	author = "Xiuzi Ye",
	keywords = "CAD, CAGD, Dupin indicatrix, Gaussian curvature, Mean curvature, Curvature continuity, Shape interrogation, Surface visual analysis",
}

@online{weisstein2014wolfram-first-fund-form,
	author={Weisstein, Eric W.},
	title={First Fundamental Form},
	organization={Mathworld -- A Wolfram Web Resource},
	year={2014},
	urldate={2018-11-30},
	url={http://mathworld.wolfram.com/FirstFundamentalForm.html},
}

@online{weisstein2014wolfram-secnd-fund-form,
	author={Weisstein, Eric W.},
	title={Second Fundamental Form},
	organization={Mathworld -- A Wolfram Web Resource},
	year={2014},
	urldate={2018-11-30},
	url={http://mathworld.wolfram.com/SecondFundamentalForm.html},
}

@book{lui2011numerical,
	title={Numerical Analysis of Partial Differential Equations},
	author={Lui, S.H. and Lui, S.H.},
	isbn={9780470647288},
	lccn={2011013570},
	series={Pure and Applied Mathematics: A Wiley Series of Texts, Monographs and Tracts},
	year={2011},
	publisher={Wiley}
}

@article{opencv_library,
	author = {Bradski, G.},
	citeulike-article-id = {2236121},
	journal = {Dr. Dobb's Journal of Software Tools},
	keywords = {bibtex-import},
	posted-at = {2008-01-15 19:21:54},
	priority = {4},
	title = {{The OpenCV Library}},
	year = {2000}
}

@article{Dagum1998openmp,
	author = {Dagum, Leonardo and Menon, Ramesh},
	title = {OpenMP: An Industry-Standard API for Shared-Memory Programming},
	journal = {{IEEE Comput. Sci. Eng.}},
	issue_date = {January 1998},
	volume = {5},
	number = {1},
	month = jan,
	year = {1998},
	issn = {1070-9924},
	pages = {46--55},
	numpages = {10},
	url = {https://doi.org/10.1109/99.660313},
	doi = {10.1109/99.660313},
	acmid = {615542},
	publisher = {{IEEE Computer Society Press}},
	address = {Los Alamitos, CA, USA},
}

@article{Nickolls2008cuda,
	author = {Nickolls, John and Buck, Ian and Garland, Michael and Skadron, Kevin},
	title = {Scalable Parallel Programming with CUDA},
	journal = {Queue},
	issue_date = {March/April 2008},
	volume = {6},
	number = {2},
	month = mar,
	year = {2008},
	issn = {1542-7730},
	pages = {40--53},
	numpages = {14},
	url = {http://doi.acm.org/10.1145/1365490.1365500},
	doi = {10.1145/1365490.1365500},
	acmid = {1365500},
	publisher = {ACM},
	address = {New York, NY, USA},
}

@online{eigenweb,
	author = {Ga\"{e}l Guennebaud and Beno\^{i}t Jacob and others},
	title = {Eigen v3},
	url = {http://eigen.tuxfamily.org},
	year = {2010}
}

@article{barzilai1988two,
	author={Barzilai, Jonathan and Borwein, Jonathan M.},
	title = {Two-Point Step Size Gradient Methods},
	journal = {IMA Journal of Numerical Analysis},
	volume = {8},
	number = {1},
	pages = {141-148},
	year = {1988},
	doi = {10.1093/imanum/8.1.141},
	URL = {http://dx.doi.org/10.1093/imanum/8.1.141},
	eprint = {/oup/backfile/content_public/journal/imajna/8/1/10.1093/imanum/8.1.141/2/8-1-141.pdf}
}

@article{koenderink1984structure,
	author="Koenderink, Jan J.",
	title="The structure of images",
	journal="Biological Cybernetics",
	year="1984",
	month="Aug",
	day="01",
	volume="50",
	number="5",
	pages="363--370",
	issn="1432-0770",
	doi="10.1007/BF00336961",
	url="https://doi.org/10.1007/BF00336961"
}

@article{perona1990scale,
	author={Perona, Pietro and Malik, Jitendra}, 
	journal={IEEE Transactions on Pattern Analysis and Machine Intelligence}, 
	title={Scale-space and edge detection using anisotropic diffusion}, 
	year={1990}, 
	volume={12}, 
	number={7}, 
	pages={629-639}, 
	keywords={filtering and prediction theory;pattern recognition;picture processing;parallel processing;picture processing;edge detection;anisotropic diffusion;scale-space;intraregion smoothing;Image edge detection;Anisotropic magnetoresistance;Smoothing methods;Diffusion processes;Detectors;Hardware}, 
	doi={10.1109/34.56205}, 
	ISSN={0162-8828}, 
	month={July},
}

@inproceedings{sapiro1994experiments,
	author={Sapiro, Guillermo and Tannenbaum, Allen and You, Yu-Li and Kaveh, Mostafa},
	booktitle={Proceedings of 1st International Conference on Image Processing}, 
	title={Experiments on geometric image enhancement}, 
	year={1994}, 
	volume={2}, 
	number={}, 
	pages={472-476 vol.2}, 
	keywords={image enhancement;biomedical NMR;smoothing methods;image enhancement;geometric algorithms;image smoothing;MRI;ATR;affine invariant geometric smoother;affine heat equation;gray-level images;numerical implementations;anisotropic diffusion processes;edge preservation;Euclidean image processing;Image enhancement;Smoothing methods;Shape;Magnetic resonance imaging;Milling machines;Anisotropic magnetoresistance;Computational geometry;Differential equations;Image analysis;Computer vision}, 
	doi={10.1109/ICIP.1994.413615}, 
	ISSN={}, 
	month={Nov},
}

@Article{Alvarez1993,
	author="Alvarez, Luis and Guichard, Fr{\'e}d{\'e}ric and Lions, Pierre -Louis and Morel, Jean -Michel",
	title="Axioms and fundamental equations of image processing",
	journal="Archive for Rational Mechanics and Analysis",
	year="1993",
	month="Sep",
	day="01",
	volume="123",
	number="3",
	pages="199--257",
	issn="1432-0673",
	doi="10.1007/BF00375127",
	url="https://doi.org/10.1007/BF00375127"
}


@article{tang2000diffusion,
	author="Tang, Bei and Sapiro, Guillermo and Caselles, Vicent",
	title="Diffusion of General Data on Non-Flat Manifolds via Harmonic Maps Theory: The Direction Diffusion Case",
	journal="International Journal of Computer Vision",
	year="2000",
	month="Feb",
	day="01",
	volume="36",
	number="2",
	pages="149--161",
	issn="1573-1405",
	doi="10.1023/A:1008152115986",
	url="https://doi.org/10.1023/A:1008152115986"
}

@techreport{dlotko2014sobolev,
	title={Sobolev spaces and embedding theorems},
	author={Dlotko, Tomasz},
	month = {01},
	year={2014},
	institution={Citeseer},
	url={http://conteudo.icmc.usp.br/pessoas/andcarva/sobolew.pdf}
}

@Article{giaquinta1993variational,
	author="Giaquinta, M.
	and Modica, G.
	and Sou{\v{c}}ek, J.",
	title="Variational problems for maps of bounded variation with values in $S^1$",
	journal="Calculus of Variations and Partial Differential Equations",
	year="1993",
	month="Mar",
	day="01",
	volume="1",
	number="1",
	pages="87--121",
	abstract="The main goal of this paper is to characterize the weak limits of sequences of smooth maps from a Riemannian manifold intoS1. This is achieved in terms of Cartesian currents. Applications to the existence of minimizers of area type functionals in the class of maps with values inS1 satisfying Dirchlet and homological conditions are then discussed. The so called dipole problem is solved, too.",
	issn="1432-0835",
	doi="10.1007/BF02163266",
	url="https://doi.org/10.1007/BF02163266"
}

@book{abramowitz+stegun,
	added-at = {2008-06-25T06:25:58.000+0200},
	address = {New York},
	author = {Abramowitz, Milton and Stegun, Irene A.},
	biburl = {https://www.bibsonomy.org/bibtex/223ec744709b3a776a1af0a3fd65cd09f/a_olympia},
	description = {BibTeX - Wikipedia, the free encyclopedia},
	edition = {Ninth Dover printing, tenth GPO printing},
	interhash = {d4914a420f489f7c5129ed01ec3cf80c},
	intrahash = {23ec744709b3a776a1af0a3fd65cd09f},
	keywords = {Handbook},
	publisher = {Dover Publications, Inc.},
	timestamp = {2008-06-25T06:25:58.000+0200},
	title = {Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables},
	year = 1964,
	isbn = {0486612724},
}

@online{Top500,
	author = {TOP500.org},
	title =  {Top500 List - November 2017},
	Year = {2017},
	urldate = {2018-04-30},
	url = {https://www.top500.org/list/2017/11/},
}

@inproceedings{rosales2016comparative,
	author="Rosales, Carlos and Cazes, John and Milfeld, Kent and G{\'o}mez-Iglesias, Antonio and Koesterke, Lars and Huang, Lei and Vienne, Jerome",
	editor="Taufer, Michela and Mohr, Bernd and Kunkel, Julian M.",
	title="A Comparative Study of Application Performance and Scalability on the Intel Knights Landing Processor",
	booktitle="High Performance Computing",
	year="2016",
	publisher="Springer International Publishing",
	pages="307--318",
	isbn="978-3-319-46079-6"
}

@inproceedings{heinecke2016high,
	author="Heinecke, Alexander and Breuer, Alexander and Bader, Michael and Dubey, Pradeep",
	editor="Kunkel, Julian M. and Balaji, Pavan and Dongarra, Jack",
	title="High Order Seismic Simulations on the Intel Xeon Phi Processor (Knights Landing)",
	booktitle="High Performance Computing",
	year="2016",
	publisher="Springer International Publishing",
	pages="343--362",
	isbn="978-3-319-41321-1"
}

@inproceedings{doerfler2016applying,
	added-at = {2018-11-02T00:00:00.000+0100},
	author = {Doerfler, Douglas and Deslippe, Jack and Williams, Samuel and Oliker, Leonid and Cook, Brandon and Kurth, Thorsten and Lobet, Mathieu and Malas, Tareq M. and Vay, Jean-Luc and Vincenti, Henri},
	biburl = {https://www.bibsonomy.org/bibtex/2fb57dddab5a05941807f8b85d114586c/dblp},
	booktitle = {ISC Workshops},
	crossref = {conf/supercomputer/2016w},
	editor = {Taufer, Michela and Mohr, Bernd and Kunkel, Julian M.},
	ee = {https://doi.org/10.1007/978-3-319-46079-6_24},
	interhash = {fd540efe1b359439d8df5df4c7eaefb6},
	intrahash = {fb57dddab5a05941807f8b85d114586c},
	isbn = {978-3-319-46078-9},
	keywords = {dblp},
	pages = {339-353},
	series = {Lecture Notes in Computer Science},
	timestamp = {2018-11-03T16:50:07.000+0100},
	title = {Applying the Roofline Performance Model to the Intel Xeon Phi Knights Landing Processor.},
	url = {http://dblp.uni-trier.de/db/conf/supercomputer/isc2016w.html#DoerflerDWOCKLM16},
	volume = 9945,
	year = 2016
}

@book{jeffers2016intel,
	author = {Jeffers, James and Reinders, James and Sodani, Avinash},
	title = {Intel Xeon Phi Processor High Performance Programming: Knights Landing Edition 2nd Edition},
	year = {2016},
	isbn = {0128091940, 9780128091944},
	edition = {2nd},
	publisher = {Morgan Kaufmann Publishers Inc.},
	address = {San Francisco, CA, USA},
} 

@article{sodani2016knights,
	author={A. Sodani and R. Gramunt and J. Corbal and H. Kim and K. Vinod and S. Chinthamani and S. Hutsell and R. Agarwal and Y. Liu}, 
	journal={IEEE Micro}, 
	title={Knights Landing: Second-Generation Intel Xeon Phi Product}, 
	year={2016}, 
	volume={36}, 
	number={2}, 
	pages={34-46}, 
	keywords={instruction sets;integrated circuit interconnections;microprocessor chips;Knights Landing;second generation Intel Xeon Phi product;high-performance computing;parallel workload;memory bandwidth;Knights Corner;self-booting standard CPU;Intel Xeon processor;power efficiency;vector instruction set;memory architecture;on-die interconnect;integrated on-package network fabric;word length 512 bit;Graphics processing units;Bandwidth allocation;Microprocessors;Program processors;Computer architecture;Resource management;Central Processing Unit;Memory architecture;Knights Landing;Intel Xeon Phi;parallel computing;high-performance computing}, 
	doi={10.1109/MM.2016.25}, 
	ISSN={0272-1732}, 
	month={Mar},
}

@online{reinders2013avx,
	title={{AVX-512} instructions},
	author={Reinders, James},
	journal={Intel Corporation},
	year={2013},
	url={https://software.intel.com/en-us/blogs/2013/avx-512-instructions/},
	urldate={2018-12-12}
}

@techreport{cantalupo2015memkind,
	title={Memkind: An Extensible Heap Memory Manager for Heterogeneous Memory Platforms and Mixed Memory Policies.},
	author={Cantalupo, Christopher and Venkatesan, Vishwanath and Hammond, Jeff and Czurlyo, Krzysztof and Hammond, Simon David},
	year={2015},
	institution={Sandia National Laboratories (SNL-NM), Albuquerque, NM (United States)}
}

@article{asai2016mcdram,
	title={{MCDRAM as High-Bandwidth Memory (HBM) in Knights Landing processors}: developers guide},
	author={Asai, Ryo},
	journal={Colfax Research},
	volume={27},
	year={2016}
}

@techreport{krishnaiyer2013data,
	title={Data alignment to assist vectorization},
	author={Krishnaiyer, Rakesh},
	year={2013},
	publisher={Intel Press Intel Corporation},
	url={https://software.intel.com/en-us/articles/data-alignmentto-assist-vectorization},
	pages={8--12}
}

@misc{openmp15,
	author = {OpenMP Architecture Review Board},
	title = {{OpenMP} Application Program Interface Version 4.5},
	month = {November},
	year = {2015},
	url = {http://www.openmp.org/wp-content/uploads/openmp-4.5.pdf}
}

@inproceedings{ramos2017capability,
	author={Ramos, Sabela and Hoefler, Torsten},
	booktitle={2017 IEEE International Parallel and Distributed Processing Symposium (IPDPS)}, 
	title={Capability Models for Manycore Memory Systems: A Case-Study with Xeon Phi KNL}, 
	year={2017}, 
	volume={}, 
	number={}, 
	pages={297-306}, 
	keywords={application program interfaces;message passing;multiprocessing systems;optimisation;manycore memory systems;complex memory systems;onchip interconnects;Xeon Phi KNL CPU;OpenMP;MPI;bitonic sort application;complex optimization space;Bandwidth;Benchmark testing;Random access memory;Coherence;Program processors;Message systems;Computational modeling;Cache coherence;memory hierarchy;manycore architectures;performance modeling}, 
	doi={10.1109/IPDPS.2017.30}, 
	ISSN={1530-2075}, 
	month={May},
}

@online{OMP,
	author = {OpenMP Architecture Review Board},
	title =  {{OpenMP} Application Programming Interface},
	Year = {2015},
	urldate = {2018-04-11},
	url = {https://ark.intel.com/products/93800/Intel-Xeon-Processor-E5-4620-v4-25M-Cache-2_10-GHz},
}

@online{gcc,
	author = {GCC Developer Community},
	title =  {{GCC, the GNU Compiler Collection}},
	Year = {2017},
	urldate = {2017-12-15},
	url = {https://gcc.gnu.org/},
}

@online{icc,
	author = {Intel Corporation},
	title =  {Intel® {C++} Compilers},
	Year = {2017},
	urldate = {2018-04-16},
	url = {https://software.intel.com/en-us/c-compilers},
}

@online{CUDAguide,
	title={{CUDA C Programming Guide, Desing Guide}},
	author={NVIDIA Corporation},
	month={10},
	year={2018},
	url={https://docs.nvidia.com/pdf/CUDA_C_Programming_Guide.pdf}
}

@online{NVCCguide,
	title={{CUDA Compiler driver NVCC, Reference Guide}},
	author={NVIDIA Corporation},
	month={10},
	year={2018},
	url={https://docs.nvidia.com/pdf/CUDA_Compiler_Driver_NVCC.pdf}
}

@inproceedings{lattner2004llvm,
	author={Lattner, Chris and Adve, Vikram},
	booktitle={International Symposium on Code Generation and Optimization, 2004. CGO 2004.}, 
	title={LLVM: a compilation framework for lifelong program analysis \& transformation}, 
	year={2004}, 
	volume={}, 
	number={}, 
	pages={75-86}, 
	keywords={program diagnostics;virtual machines;C language;exception handling;optimising compilers;program analysis;program transformation;low level virtual machine;compiler framework;compiler transformations;code representation;static single assignment form;language-independent type-system;typed address arithmetic;exception handling;compiler performance;Information analysis;Program processors;Performance analysis;High level languages;Virtual machining;Runtime;Arithmetic;Application software;Software safety;Algorithm design and analysis}, 
	doi={10.1109/CGO.2004.1281665}, 
	ISSN={}, 
	month={March},
}

@article{duncan1990survey, 
	author={R. Duncan}, 
	journal={Computer}, 
	title={A survey of parallel computer architectures}, 
	year={1990}, 
	volume={23}, 
	number={2}, 
	pages={5-16}, 
	keywords={cellular arrays;parallel architectures;parallel machines;pipeline processing;parallel computer architectures;architectural innovations;parallel architecture development;architectural alternatives;coherent framework;architectural constructs;synchronous architectures;vector;SIMD;single-instruction-stream;multiple-data-stream;systolic machines;multiple-instruction-stream;shared memory;MIMD-based paradigms;MIMD/SIMD hybrid;dataflow;reduction;wavefront types;Concurrent computing;Computer architecture;Parallel architectures;Taxonomy;Parallel processing;Central Processing Unit;Vector processors;Parallel programming;Hardware;Hypercubes}, 
	doi={10.1109/2.44900}, 
	ISSN={0018-9162}, 
	month={Feb},
}

@online{harris2013coalesce,
	author = {Harris, Mark},
	title = {{How to Access Global Memory Efficiently in CUDA C/C++ Kernels}},
	url = {https://devblogs.nvidia.com/how-access-global-memory-efficiently-cuda-c-kernels/},
	year = {2013},
	month = {1},
	day = {7},
	urldate = {2018-12-27}
}

@article{volkov2015occupancy,
	author = {Volkov, Vasily},
	year = {2015},
	month = {01},
	title = {Better Performance at Lower Occupancy},
	volume = {10},
	journal = {Proceedings of the GPU Technology Conference, GTC}
}

@misc{hoberock2010thrust,
	title={Thrust: A parallel template library},
	author={Hoberock, Jared and Bell, Nathan},
	year={2010},
	publisher={Version}
}

@online{ternary-conditional,
	author = {User \texttt{chrisname}},
	title = {{The Conditional (or Ternary) Operator (?:)}},
	url = {http://www.cplusplus.com/articles/1AUq5Di1/},
	year = {2013},
	month = {04},
	day = {16},
	urldate = {2019-01-08}
}

@online{KNL7250,
	author = {Intel Corporation},
	title =  {{Intel® Xeon Phi™ Processor 7250}},
	Year = {2016},
	urldate = {2019-01-08},
	url = {https://www.intel.com/content/www/us/en/products/processors/xeon-phi/xeon-phi-processors/7250.html},
}

@online{i5-7600,
	author = {Intel Corporation},
	title =  {Intel® Core™ i5-7600 Processor},
	Year = {2017},
	urldate = {2019-01-08},
	url = {https://ark.intel.com/products/97150/Intel-Core-i5-7600-Processor-6M-Cache-up-to-4_10-GHz},
}

@online{GTX1050Ti,
	author = {NVIDIA Corporation},
	title =  {GeForce GTX 1050 Ti},
	Year = {2018},
	urldate = {2019-01-08},
	url = {https://www.geforce.com/hardware/desktop-gpus/geforce-gtx-1050-ti/specifications},
}

@INPROCEEDINGS{hore2010psnr, 
	author={A. Hore and D. Ziou}, 
	booktitle={2010 20th International Conference on Pattern Recognition}, 
	title={Image Quality Metrics: PSNR vs. SSIM}, 
	year={2010},
	pages={2366-2369}, 
	keywords={image processing;image quality metrics;PSNR;SSIM;peak-signal-to-noise ratio;structural similarity index measure;image degradation;PSNR;Degradation;Image quality;Additives;Transform coding;Sensitivity;Image coding;PSNR;SSIM;image quality metrics}, 
	doi={10.1109/ICPR.2010.579}, 
	ISSN={1051-4651}, 
	month={Aug},
}

@article{marr2002hyperthreading,
	author = {Marr, Deborah and Binns, Frank and L Hill, David and Hinton, Glenn and A Koufty, David and J Miller, Alan and Upton, Michael},
	year = {2002},
	month = {01},
	pages = {},
	title = {Hyper-Threading Technology Architecture and Microarchitecture},
	volume = {6},
	journal = {Intel Technology Journal}
}